<?php
/* $pr = $this->escort->getProfile();
$pr->load();
$data = $pr->getWorkingCities();
$cities = new Cubix_Geography_Cities();
$lang_id = $this->lang();

if ( isset($data['city_id']) && $data['city_id'] ) {
$city = $cities->get($data['city_id']);
$country_id = $city->country_id;
$this->escort->country_id = $country_id;
} */
if ($this->escort->id !== 9164) :

$lang_url = $this->langUrl();
$langs = Cubix_Application::getLangs();
$lang_id = $this->lang();

$ip = Cubix_Geoip::getIP();
$Model_Countries = new Model_Countries();
$country = strtolower($Model_Countries->getCountryIsoByIp( $ip ));
$config = Zend_Registry::get('system_config');

$payemnt_disabled_countries = explode(',',$config['paymentDisabledCountries']);
$paymentDisabledCountries = true;

if( in_array($this->escort->country_id, $payemnt_disabled_countries) || in_array($country, array('us', 'fr') )){
    $paymentDisabledCountries = false;
}
$escort_country = $this->user->getEscort()->country_id;
?>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<input type="hidden" id="status" value="<?= $this->user->getEscort()->status ?>">

<nav id="menuBar" class="inactive">
    <ul class="nav-list">
        <li class="mobile"><a href="/"><?= __('back_to_site') ?></a></li>

        <!-- Dashboard -->
        <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : 'active' ?>"><a href="#" data-ajax-url="/" class="icon-dashboard menu-item">
                <?= __('dashboard') ?></a></li>

        <!-- My Profile -->
        <? $class = (!($this->user->getEscort()->status & ESCORT_STATUS_NO_PROFILE)) ? 'toggler' : ($this->user->getEscort()->status == 67 ? 'always-close' : 'always-open') ?>
        <li class="<?= $class ?>">
            <?php $url = ($this->user->getEscort()->status != 67) ? '' : '/' . Cubix_I18n::getLang() . '/private/profile' ?>
            <? if ($this->mode != 'create' && $this->mode != Model_Users::PA_MODE_LIMITED): ?>

            <a id="my_profile" class="accordion-heading custom" data-toggle="collapse" data-target="#submenu1">
                <?= __('dash_my_profile') ?>
            </a>


            <ul class="nav-list submenu-list collapse" id="submenu1">
                <? foreach ($this->steps as $step => $title): ?>
                    <? if (!$this->escort->is_suspicious): ?>


                        <? if (($title === 'prices' && !$paymentDisabledCountries) || ($title === 'services' && !Model_Escorts::areEscortServicesAllowed($escort_country)) ): ?>

                        <? else: ?>
                            <li>
                                <a data-id="<?= $title ?>" class="icon-<?= $title ?> smooth-anchors"
                                   data-ajax-url='<?= $title ?>'>
                                    <?= __($title) ?>
                                </a>
                            </li>
                        <? endif; ?>
                    <? else: ?>
                        <? if ($title === 'gallery'): ?>
                            <li>
                                <a data-id="<?= $title ?>" class="icon-<?= $title ?> smooth-anchors"
                                   data-ajax-url='<?= $lang_id; ?>/private/profile/<?= $title ?>?escort=<?= $this->escort->id ?>'>
                                    <?= __($title) ?>
                                </a>
                            </li>
                        <? endif; ?>
                    <? endif; ?>
                <? endforeach; ?>
            </ul>
        </li>

    <? else: ?>
        <a id="my_profile" data-ajax-url='#complete-profile-step?escort=<?= $this->escort->id ?>' href=""
           class="accordion-heading custom" data-toggle="collapse">
            <? if (!($this->user->getEscort()->status & Model_Escorts::ESCORT_STATUS_PARTIALLY_COMPLETE) || $this->mode == Model_Users::PA_MODE_LIMITED): ?>
                <?= __('complete_profile_menu') ?>
            <? else: ?>
                <?= __('complete_profile_menu') //__('profile_is_completed') ?>
            <? endif; ?>
        </a>
    <? endif; ?>

        <!-- Tours -->
        <? if (!$this->escort->is_suspicious): ?>
            <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>"><a data-id="tours" id="left-menu-tours" class="icon-dashboard menu-item" data-ajax-url='tours'>
                    <?= __('tours') ?></a></li>
        <? endif; ?>

        <!-- 100% Verification -->
        <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>"><a data-id="100-verification" data-ajax-url='100-verification' class="icon-dashboard menu-item">
                <?= __('100_verification') ?></a></li>

		
		<!-- Phone Verification -->
		<?
		//$client = new Cubix_Api_XmlRpc_Client();
		//$details = $client->call('Verification.getPhoneVerificationDetails', array($this->user->getEscort()->id));
		//if(is_null($details['last_hand_verification_date']) && $details['phone_exists']): 
		
		if($this->user->need_phone_verification): ?>
        <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
			<a data-id="phone-verification" data-ajax-url='phone-verification' class="icon-dashboard menu-item">
                <?= __('phone_verification') ?>
                <svg fill="#f31431" xmlns='http://www.w3.org/2000/svg' width='23' height='23' viewBox='0 0 512 512'><title>Alert circle</title><path d='M256,48C141.31,48,48,141.31,48,256s93.31,208,208,208,208-93.31,208-208S370.69,48,256,48Zm0,319.91a20,20,0,1,1,20-20A20,20,0,0,1,256,367.91Zm21.72-201.15-5.74,122a16,16,0,0,1-32,0l-5.74-121.94v-.05a21.74,21.74,0,1,1,43.44,0Z'/></svg>
            </a>
		</li>
		<? endif; ?>	
        <!-- Black List -->
        <? if (!$this->escort->is_suspicious): ?>
        <li class="toggler <?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
            <a class="accordion-heading" data-toggle="collapse" data-target="#submenu2">
                <?= __('blacklist') ?></a>
            <ul class="nav-list submenu-list collapse" id="submenu2">
                <li><a data-id="black-list-clients" data-ajax-url="black-list-clients"
                       class="icon-dashboard menu-item">
                        <?= __('clients') ?></a></li>
                <li><a data-id="black-list-hotels" data-ajax-url="black-list-hotels"
                       class="icon-dashboard menu-item">
                        <?= __('hotels') ?></a></li>
                <!--<li><a data-id="admin-warning" data-ajax-url="admin-warning" class="icon-dashboard menu-item">
                        <?/*= __('admin_warning') */?></a></li>-->
            </ul>
        </li>
        <? endif; ?>

        <!-- My Followers -->
        <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>"><a data-id="my-followers" data-ajax-url="my-followers" class="icon-followers menu-item">
                <?= __('my_followers') ?></a></li>

        <? if (!isset($escort_country) || (int)$escort_country != 68 ): ?>
        <!-- My reviews -->
        <? $pending = Cubix_Api::getInstance()->call('getPendingReviewsForEscort', array($this->user->id, $this->escort->id)); ?>
        <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
            <a data-id="my-reviews" data-ajax-url="my-reviews" class="icon-reviews menu-item">
                <?= __('my_reviews') ?>
                <sup class="text-danger count review_menu_count">
                    <?= $pending['count'] > 0 ? $pending['count'] : '' ?>
                </sup>
            </a>
        </li>
        <? endif; ?>

        <!-- Hide this for disabled countries -->
        <!--GOTD-->

        <?if( $this->escort->gender == 1 && $paymentDisabledCountries != false):?>
            <li class="gotd-main">
                <a data-id="gotd" data-ajax-url='gotd' class="icon-dashboard menu-item">
                    <?= __('gotd') ?><span style="font-size: 12px;background: #c49a6f;padding: 1px 3px;color: white; margin-left: 6px;">New</span>
                </a>
            </li>
        <?endif;?>
        
        <? if($paymentDisabledCountries != false || $this->escort->id === 178205): ?>
            <!-- Upgrade Now -->
            <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
                <a data-id="upgrade-now" href="#upgrade-now" data-ajax-url="upgrade-now"
                   class="icon-self-checkout menu-item">
                    <?= __('upgrade_now') ?>
                </a>
            </li>
            <? endif; ?>
        <!--/-->

        <!-- Support Ticket-->
        <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
            <a href="#support" data-ajax-url="support">
                <span>
                    <?= __('support') ?>
                    <? if ($this->supportUnreadsCount) : ?>
                        <sup class="text-danger count">(<?= $this->supportUnreadsCount > 9 ? '9+' : $this->supportUnreadsCount ?>)</sup>
                    <? endif; ?>
                </span>
            </a>
        </li>
        <!-- / -->

        <!-- Settings -->
        <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
            <a class="menu-link d-flex align-items-end" data-ajax-url="#settings" >
                <span> <?= __('settings') ?></span>
            </a>
        </li>
        <!-- / -->

        <li><a href="<?= $this->getLink('signout') ?>"><?= __('logout') ?> </a></li>

        <? $langs = Cubix_Application::getLangs(); ?>
        <li class="toggler mobile language-switcher desktop">
            <a class="accordion-heading uppercase" data-toggle="collapse" data-target="#submenu3">
                <?= $lang_id ?> <span class="flag-icon flag-icon-<?= $lang_id ?>"> <span class="caret"></span></span>
            </a>
            <ul class="nav-list submenu-list collapse" id="submenu3">
                <? foreach ($langs as $lang) : ?>
                    <? if ($lang_id == $lang->id) continue; ?>
                    <li class="flag-row">
                        <a data-lang-url="<?= str_replace('%s', $lang->id, $lang_url) ?>" data-lang="<?= $lang->id ?>" class="d-flex justify-content-between align-items-center uppercase">
                            <span class="flag-icon flag-icon-<?= $lang->id ?>"></span>
                        </a>
                    </li>
                <? endforeach; ?>
            </ul>
        </li>

        <div class="mobile mobile-language-picker-wrapper toggler mobile language-switcher mt-3" style="margin-left: 30px;">
            <span class="flag-icon flag-icon-<?= $lang_id ?>">  <span class="caret"></span> </span>
            <select id="native-language-picker">
                <? foreach ($langs as $lang) : ?>
                    <option <?= ($lang_id == $lang->id) ? 'selected' : '' ?> value="<?= $lang->id ?>"><?= strtoupper($lang->id) ?></option>
                <? endforeach; ?>
            </select>
        </div>

    </ul>
</nav>
<? else: ?>
    <?php
    /* $pr = $this->escort->getProfile();
    $pr->load();
    $data = $pr->getWorkingCities();
    $cities = new Cubix_Geography_Cities();
    $lang_id = $this->lang();

    if ( isset($data['city_id']) && $data['city_id'] ) {
    $city = $cities->get($data['city_id']);
    $country_id = $city->country_id;
    $this->escort->country_id = $country_id;
    } */

    $lang_url = $this->langUrl();
    $langs = Cubix_Application::getLangs();
    $lang_id = $this->lang();

    $ip = Cubix_Geoip::getIP();
    $Model_Countries = new Model_Countries();
    $country = strtolower($Model_Countries->getCountryIsoByIp( $ip ));
    $config = Zend_Registry::get('system_config');

    $payemnt_disabled_countries = explode(',',$config['paymentDisabledCountries']);
    $paymentDisabledCountries = true;

    if( in_array($this->escort->country_id, $payemnt_disabled_countries) || in_array($country, array('us', 'fr') )){
        $paymentDisabledCountries = false;
    }
    $escort_country = $this->user->getEscort()->country_id;
    ?>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto&display=swap" rel="stylesheet">
    <input type="hidden" id="status" value="<?= $this->user->getEscort()->status ?>">
    <style>
        .nav-list{
            background-color: #F4F5F7;
        }
        .material-icons{
            font-size: 18px;
            /*color: #20264a;*/
        }
        .nav-list li>.menu-item:hover{
            color: #D19A63!important;
        }
        .active a .material-icons{
            color: white;
        }
        .lang .accordion-heading{
            justify-content: space-around;
            align-items: center;
            padding: 10px;
        }
        .flag-row a{
            padding: 10px!important;
        }
        .nav-list li a{
            display: flex;
            align-items: center;
        }
        .right-section{
            max-width: 80%;
            margin-left: 40px;
        }
        .inner-section{
            max-width: unset!important;
            margin: 0;
            padding: 0;
        }
        .main{
            font-family: 'Roboto', sans-serif!important;
            background-color: #fff!important;
            z-index: 99999;
            /*-webkit-box-shadow: -4px 0 5px -1px rgba(34, 60, 80, 0.2);*/
            /*-moz-box-shadow: -4px 0 5px -1px rgba(34, 60, 80, 0.2);*/
            /*box-shadow: -4px 0 5px -1px rgba(34, 60, 80, 0.2);*/
        }

        .menu-item {
            border: none!important;
        }
        .user-area #menuBar {
            max-width: 250px !important;
            margin-right: 0;
            font-family: 'Roboto', sans-serif;
            height: 100vh;
        }
        .user-area #menuBar{
            padding: 0!important;
        }
        ul.nav-list > li {
            margin:0;
            border-bottom: 1px solid #DBDEE3;
        }
        .nav-list:not(.submenu-list)>li.active>a {
            background-color: #D19A63;
            color: #ffffff!important;
            border-radius: 0!important;
        }
        .new-header{
            max-width: 250px;
            background-color: #1B1F3D;
            padding: 20px;
        }
        .language-switcher{
            border: none!important;
            margin-left: 20px!important;
        }
        .lang{
            background-color: #DDDFE4;
            max-width: 100px;
            margin-top: 20px;
            border-radius: 4px;
        }
        .language-switcher a{
            padding: 5px 10px;
        }
        .language-switcher .flag-row{
            display: flex;
            justify-content: flex-start;
            align-content: center;
            border: none!important;
            max-width: 100px;
        }
        .arrow-dd{
            font-size: 24px;
        }
        @media only screen and (max-width: 600px) {
            .header.fixed{
                z-index: 999999;
            }
            .user-area #menuBar{
                z-index: 999999;
                top: 81px!important;
            }
            #submenu-trigger{
                padding: 20px!important;
            }
            .right-section{
                max-width: 100% !important;
                margin: 0!important;
            }
            .overview-container{
                grid-template-rows: repeat(8, 1fr);
                grid-template-columns: unset!important;
            }
            .dashboard-banner{
                width: 100%!important;
            }

            .user-area #menuBar{
                height: calc(100% - 82px);
            }
            .mobile-language-picker-wrapper{
                padding: 10px;
                margin-top: 0!important;
            }

        }
    </style>
    <nav id="menuBar" class="inactive">
        <? if (!IS_MOBILE): ?>
            <div class="new-header">
                <a href="/">
                    <img src="/img/new_style/ed_logo.png" alt="">
                </a>
            </div>
        <? endif; ?>
        <ul class="nav-list">
            <li class="mobile"><a href="/"><?= __('back_to_site') ?></a></li>

            <!-- Dashboard -->
            <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : 'active' ?>">
                <a href="#" data-ajax-url="/" class="icon-dashboard menu-item">
                    <span class="material-icons mr-2"> widgets</span>
                    <?= __('dashboard') ?>
                </a>
            </li>

            <!-- My Profile -->
            <? $class = (!($this->user->getEscort()->status & ESCORT_STATUS_NO_PROFILE)) ? 'toggler' : ($this->user->getEscort()->status == 67 ? 'always-close' : 'always-open') ?>
            <li class="<?= $class ?>">
                <?php $url = ($this->user->getEscort()->status != 67) ? '' : '/' . Cubix_I18n::getLang() . '/private/profile' ?>
                <? if ($this->mode != 'create' && $this->mode != Model_Users::PA_MODE_LIMITED): ?>

                <a id="my_profile" class="accordion-heading custom" data-toggle="collapse" data-target="#submenu1">
                    <span class="material-icons mr-2">emoji_emotions</span>
                    <?= __('dash_my_profile') ?>
                </a>


                <ul class="nav-list submenu-list collapse" id="submenu1">
                    <? foreach ($this->steps as $step => $title): ?>
                        <? if (!$this->escort->is_suspicious): ?>


                            <? if (($title === 'prices' && !$paymentDisabledCountries) || ($title === 'services' && !Model_Escorts::areEscortServicesAllowed($escort_country)) ): ?>

                            <? else: ?>
                                <li>
                                    <a data-id="<?= $title ?>" class="icon-<?= $title ?> smooth-anchors"
                                       data-ajax-url='<?= $title ?>'>
                                        <?= __($title) ?>
                                    </a>
                                </li>
                            <? endif; ?>
                        <? else: ?>
                            <? if ($title === 'gallery'): ?>
                                <li>
                                    <a data-id="<?= $title ?>" class="icon-<?= $title ?> smooth-anchors"
                                       data-ajax-url='<?= $lang_id; ?>/private/profile/<?= $title ?>?escort=<?= $this->escort->id ?>'>
                                        <?= __($title) ?>
                                    </a>
                                </li>
                            <? endif; ?>
                        <? endif; ?>
                    <? endforeach; ?>
                </ul>
            </li>

        <? else: ?>
            <a id="my_profile" data-ajax-url='#complete-profile-step?escort=<?= $this->escort->id ?>' href=""
               class="accordion-heading custom" data-toggle="collapse">
                <? if (!($this->user->getEscort()->status & Model_Escorts::ESCORT_STATUS_PARTIALLY_COMPLETE) || $this->mode == Model_Users::PA_MODE_LIMITED): ?>
                    <?= __('complete_profile_menu') ?>
                <? else: ?>
                    <?= __('complete_profile_menu') //__('profile_is_completed') ?>
                <? endif; ?>
            </a>
        <? endif; ?>

            <!-- Tours -->
            <? if (!$this->escort->is_suspicious): ?>
                <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
                    <a data-id="tours" id="left-menu-tours" class="icon-dashboard menu-item" data-ajax-url='tours'>
                        <span class="material-icons mr-2">local_airport</span>
                        <?= __('tours') ?>
                    </a>
                </li>
            <? endif; ?>

            <!-- 100% Verification -->
            <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
                <a data-id="100-verification" data-ajax-url='100-verification' class="icon-dashboard menu-item">
                   <span class="material-icons mr-2">beenhere</span>
                    <?= __('100_verification') ?>
                </a>
            </li>


            <!-- Phone Verification -->
            <?
            //$client = new Cubix_Api_XmlRpc_Client();
            //$details = $client->call('Verification.getPhoneVerificationDetails', array($this->user->getEscort()->id));
            //if(is_null($details['last_hand_verification_date']) && $details['phone_exists']):

            if($this->user->need_phone_verification): ?>
                <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
                    <a data-id="phone-verification" data-ajax-url='phone-verification' class="icon-dashboard menu-item">
                        <span class="material-icons mr-2">security_update_good</span>
                        <?= __('phone_verification') ?>
                        <svg fill="#f31431" xmlns='http://www.w3.org/2000/svg' width='23' height='23' viewBox='0 0 512 512'><title>Alert circle</title><path d='M256,48C141.31,48,48,141.31,48,256s93.31,208,208,208,208-93.31,208-208S370.69,48,256,48Zm0,319.91a20,20,0,1,1,20-20A20,20,0,0,1,256,367.91Zm21.72-201.15-5.74,122a16,16,0,0,1-32,0l-5.74-121.94v-.05a21.74,21.74,0,1,1,43.44,0Z'/></svg>
                    </a>
                </li>
            <? endif; ?>
            <!-- Black List -->
            <? if (!$this->escort->is_suspicious): ?>
                <li class="toggler <?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
                    <a class="accordion-heading" data-toggle="collapse" data-target="#submenu2">
                       <span class="material-icons mr-2">do_not_disturb</span>
                        <?= __('blacklist') ?>
                    </a>
                    <ul class="nav-list submenu-list collapse" id="submenu2">
                        <li>
                            <a data-id="black-list-clients" data-ajax-url="black-list-clients" class="icon-dashboard menu-item">
                                <?= __('clients') ?>
                            </a>
                        </li>
                        <li><a data-id="black-list-hotels" data-ajax-url="black-list-hotels" class="icon-dashboard menu-item">
                                <?= __('hotels') ?>
                            </a>
                        </li>
                        <!--<li><a data-id="admin-warning" data-ajax-url="admin-warning" class="icon-dashboard menu-item">
                        <?/*= __('admin_warning') */?></a></li>-->
                    </ul>
                </li>
            <? endif; ?>

            <!-- My Followers -->
            <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
                <a data-id="my-followers" data-ajax-url="my-followers" class="icon-followers menu-item">
                    <span class="material-icons mr-2">people_outline</span>
                    <?= __('my_followers') ?>
                </a>
            </li>

            <? if (!isset($escort_country) || (int)$escort_country != 68 ): ?>
                <!-- My reviews -->
                <? $pending = Cubix_Api::getInstance()->call('getPendingReviewsForEscort', array($this->user->id, $this->escort->id)); ?>
                <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
                    <a data-id="my-reviews" data-ajax-url="my-reviews" class="icon-reviews menu-item">
                        <span class="material-icons mr-2">star</span>
                        <?= __('my_reviews') ?>
                        <sup class="text-danger count review_menu_count">
                            <?= $pending['count'] > 0 ? $pending['count'] : '' ?>
                        </sup>
                    </a>
                </li>
            <? endif; ?>

            <!-- Hide this for disabled countries -->
            <!--GOTD-->

            <?if( $this->escort->gender == 1 && $paymentDisabledCountries != false):?>
                <li class="gotd-main">
                    <a data-id="gotd" data-ajax-url='gotd' class="icon-dashboard menu-item">
                        <span class="material-icons mr-2">local_fire_department</span>
                        <?= __('gotd') ?><span style="font-size: 12px;background: #c49a6f;padding: 1px 3px;color: white; margin-left: 6px;">New</span>
                    </a>
                </li>
            <?endif;?>

            <? if($paymentDisabledCountries != false || $this->escort->id === 178205): ?>
                <!-- Upgrade Now -->
                <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
                    <a data-id="upgrade-now" href="#upgrade-now" data-ajax-url="upgrade-now" class="icon-self-checkout menu-item">
                        <span class="material-icons mr-2">file_upload</span>
                        <?= __('upgrade_now') ?>
                    </a>
                </li>
            <? endif; ?>
            <!--/-->

            <!-- Support Ticket-->
            <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
                <a href="#support" data-ajax-url="support">
                    <span class="material-icons mr-2">live_help</span>
                    <span>
                    <?= __('support') ?>
                        <? if ($this->supportUnreadsCount) : ?>
                            <sup class="text-danger count">(<?= $this->supportUnreadsCount > 9 ? '9+' : $this->supportUnreadsCount ?>)</sup>
                        <? endif; ?>
                </span>
                </a>
            </li>
            <!-- / -->

            <!-- Settings -->
            <li class="<?= $this->mode == Model_Users::PA_MODE_LIMITED ? 'disabled' : '' ?>">
                <a class="menu-link d-flex align-items-end" data-ajax-url="#settings" >
                    <span class="material-icons mr-2">settings</span>
                    <span> <?= __('settings') ?></span>
                </a>
            </li>
            <!-- / -->

            <li>
                <a href="<?= $this->getLink('signout') ?>">
                    <span class="material-icons mr-2">lock_open</span>
                    <?= __('logout') ?>
                </a>
            </li>

            <? $langs = Cubix_Application::getLangs(); ?>
            <li class="toggler language-switcher desktop">
                <div class="lang">
                    <a class="accordion-heading uppercase" data-toggle="collapse" data-target="#submenu3">
                        <span class="flag-icon flag-icon-<?= $lang_id ?>">
                            <span class="caret"></span>
                        </span>
                        <span class="lang-id ml-1"><?= $lang_id ?></span>
                        <span class="material-icons arrow-dd">arrow_drop_down</span>
                    </a>
                </div>
                <ul class="nav-list submenu-list collapse" id="submenu3">
                    <? foreach ($langs as $lang) : ?>
                        <? if ($lang_id == $lang->id) continue; ?>
                        <li class="flag-row">
                            <a data-lang-url="<?= str_replace('%s', $lang->id, $lang_url) ?>" data-lang="<?= $lang->id ?>" class="d-flex justify-content-between align-items-center uppercase">
                                <span class="flag-icon flag-icon-<?= $lang->id ?>"></span><span class="lang-id ml-1"><?= $lang->id ?></span>
                            </a>
                        </li>
                    <? endforeach; ?>
                </ul>
            </li>

            <div class="mobile mobile-language-picker-wrapper toggler mobile language-switcher mt-3" style="margin-left: 30px;">
                <span class="flag-icon flag-icon-<?= $lang_id ?>">  <span class="caret"></span> </span>
                <select id="native-language-picker">
                    <? foreach ($langs as $lang) : ?>
                        <option <?= ($lang_id == $lang->id) ? 'selected' : '' ?> value="<?= $lang->id ?>"><?= strtoupper($lang->id) ?></option>
                    <? endforeach; ?>
                </select>
            </div>

        </ul>
    </nav>
<? endif;?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    $('.nav-list li a').on('click', function(e){
        $('.nav-list li a').toggleClass('active');
    })
</script>